#include <stdlib.h>
#include <vector>
#include <algorithm>

#include "igralec.h"

char* Igralec::Ime = "C++Igralec";

Igralec::Igralec() {}
Igralec::~Igralec() {}

TipIgre Igralec::zacniIgro(const KartaV &karte) {
	_karte = karte;
	return TipIgre(3, false, barva::KARO);
}

// --- pomozna funkcija ---
bool jeKralj(const Karta &k) { return k.vrednost == 14 && k.barva != barva::TAROK; }

void Igralec::zalozi(const KartaV &karte, const vector<KartaV> &talon, KartaV &vzete, KartaV &zalozene) {
	vzete.insert(vzete.begin(), talon[1].begin(), talon[1].end());
	zalozene.insert(zalozene.begin(), _karte.begin(), _karte.end());
	KartaV::iterator e = remove_if(zalozene.begin(), zalozene.end(), jeKralj);
	zalozene.erase(e, zalozene.end());	// zaradi jasnosti... sicer nepotrebno
	zalozene.erase(zalozene.begin()+3, zalozene.end());
}

void Igralec::zacniRedniDel(const int idxIgralca, const int glavniIgralec, const TipIgre tipIgre, const KartaV &ostanekTalona, const KartaV &pobraneKarteTalona) {
}

Karta Igralec::vrziKarto(const KartaV &mojeKarte, const KartaV &karteNaMizi, const int prviIgralec) {
	KartaV veljavne = veljavnePoteze(mojeKarte, karteNaMizi);
	Karta r = veljavne[0];
	return r;
}

void Igralec::konecKroga(const bool zmagal, const int prviIgralecVKrogu, const int zmagovalec, const KartaV &karteNaMizi) {
}

void Igralec::konecIgre(const string razlog) {
	printf("KONEC IGRE. %s\n", razlog.c_str());
}
