#ifndef _igralec_h
#define _igralec_h

#include <vector>
#include "Karta.h"
#include "TipIgre.h"

using namespace std;

class Igralec {
public:
	static char* Ime;

	KartaV _karte;

	Igralec();
	~Igralec();

	TipIgre zacniIgro(const KartaV &karte);
	void zalozi(const KartaV &karte, const vector<KartaV> &talon, KartaV &vzete, KartaV &zalozene);
	void zacniRedniDel(const int idxIgralca, const int glavniIgralec, const TipIgre tipIgre, const KartaV &ostanekTalona, const KartaV &pobraneKarteTalona);
	Karta vrziKarto(const KartaV &mojeKarte, const KartaV &karteNaMizi, const int prviIgralec);
	void konecKroga(const bool zmagal, const int prviIgralecVKrogu, const int zmagovalec, const KartaV &karteNaMizi);
	void konecIgre(const string razlog);
};

#endif
