#include "TipIgre.h"

TipIgre::TipIgre() : stZalozenihKart(-1), solo(false), klicaniKralj(barva::NEZNANA) { }

TipIgre::TipIgre(const int _stZalozenihKart, const bool _solo, const Barva _klicaniKralj)
	: stZalozenihKart(_stZalozenihKart), solo(_solo), klicaniKralj(_klicaniKralj) { }

TipIgre::~TipIgre() { }

TipIgre::TipIgre(const string spec) {
	solo = spec[0] == 'S';
	stZalozenihKart = spec[1] - '0';
	klicaniKralj = barva::vBarvo(spec[2]);
}

int TipIgre::vrednost() const {
	return solo?90:0 + 30 * (4 - stZalozenihKart);
}

string TipIgre::toString() const {
	return string(solo?"S":"N") + intToStr(stZalozenihKart) + barva::vString(klicaniKralj);
}

bool TipIgre::operator==(const TipIgre &b) {
	return stZalozenihKart == b.stZalozenihKart && solo == b.solo && klicaniKralj == b.klicaniKralj;
}

TipIgre& TipIgre::operator=(const TipIgre &k) {
	stZalozenihKart = k.stZalozenihKart;
	solo = k.solo;
	klicaniKralj = k.klicaniKralj;
	return *this;
}
